Summary:        Library for getting and setting POSIX.1e capabilities
Name:           libcap
Version:        2.64
Release:        3%{?dist}
License:        BSD or GPLv2
URL:            https://sites.google.com/site/fullycapable/
Source0:        https://git.kernel.org/pub/scm/libs/libcap/libcap.git/snapshot/%{name}-%{version}.tar.gz

BuildRequires:  make libattr-devel pam-devel perl-interpreter gcc

%description
libcap is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

%package static
Summary: libcap static libraries
Requires: %{name} = %{version}-%{release}

%description static
This package provides libcap static libraries.

%package devel
Summary: libcap development files
Requires: %{name} = %{version}-%{release}

%description devel
This package provides libcap development files.

%prep
%autosetup

%build
%make_build

%install
%make_install RAISE_SETFCAP=no LIBDIR=%{_libdir} SBINDIR=%{_sbindir} 
install -p -m 0644 doc/cap_*_ambient.3 %{buildroot}%{_mandir}/man3/

%files
%license License
%doc doc/capability.notes
%{_sbindir}/*
%{_libdir}/*.so.*
%{_libdir}/security/pam_cap.so
%{_mandir}/man1/*
%{_mandir}/man8/*

%files static
%{_libdir}/libcap.a
%{_libdir}/libpsx.a

%files devel
%{_libdir}/pkgconfig/libcap.pc
%{_libdir}/pkgconfig/libpsx.pc
%{_includedir}/*
%{_libdir}/*.so
%{_mandir}/man3/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.64-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.64-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jul 7 2022 Xiaojie Chen <jackxjchen@tencent.com> - 2.64-1
- Initial build
